@include xs {
  h1{
    font-size: 2rem;
    margin-top: 0.5rem;
  }
}
// css pour le composant principale
.projects{
  width: 550px;
  height: 250px;
  display: flex;
  flex-direction: column;
  border-radius: 5px;
  box-shadow: 1px 0 5px 1px #dbdddf;
  margin:20px auto;
  overflow: hidden;
  @include xs{
    width:250px;
    height:200px;

  }
  @include sm {
    width: 360px;
  }
  .project-image{
    height:67%;
    width: 100%;
    display: flex;
    flex-direction: column;
    @include xs {
      background-color: #ddd;
      height: 75%;
    }
    @include sm {
      height: 70%;
    }
    .project-image-main{
      height:100%;
      width:100%;
      @include xs {
        border-radius: 20px;
        padding: 10px;
      }
    }
    .project-image-flag{
      height:10px;
      width:10px;
      margin:-1% auto;
      border: 1px solid #ddd;
      @include xs {
        margin: -1.5% auto;
      }
      @include sm {
        margin: -1.5% auto;
      }
    }
  }

  .project-details{
    height:33%;
    width: 100%;
    padding: 10px;
    display: flex;
    flex-direction: row;
    @include xs {
      height:25%;
      padding:10px;
      display: grid;
      grid-template-rows: 1fr 1fr;
      grid-template-columns: 1fr 1fr;
      grid-template-areas:
      'desc years'
      'stats stats'
      ;
    }
    @include sm {
      padding: 10px;
      font-size: 10px;
      height:30%;
    }
    .project-details-desc{
      text-align: left;
      width: 40%;
      @include xs {
        grid-area: desc;
        width: 100%;
      }
      h3{
        text-overflow: ellipsis;
        margin-bottom: 5px;
        @include xs {
          font-size:7px;
          font-weight: 900;
        }
      }
      p:last-child{
        @include xs {
          display: none;
        }
        @include sm {
          font-size: 8px;
        }
      }
    }
    .project-details-stats{
      text-align: center;
      width: 20%;
      p:first-child{
        font-size: 20px;
        font-weight: 400;
      }
      p:not(:last-child){
        margin-bottom: 5px;
      }
      p:last-child:after{
        content:"'";
      }
      @include xs {
        grid-area: stats;
        width: 100%;
        display: inline-flex;
        justify-content: space-between;
        color:#aaa;
        font-weight: 600;
        p {
          font-size: 8px;
        }
        p:first-child{
          font-size: 8px;
          font-weight: normal;
          font-weight: 600;
        }
        p:not(:last-child){
          margin-bottom: 0;
        }
      }
      @include sm {
        font-size: 8px;
        width: 25%;
        p:first-child{
          font-size: 15px;
        }
      }
    }
    .project-details-third{
      text-align: right;
      width: 40%;
      p:first-child{
        margin-bottom: 5px;
        color:#4d99df;
        font-weight: 900;
      }
      @include xs {
        grid-area: years;
        color:#bbb;
        font-weight: 800;
        width:100%;
        p{
          font-size: 7px;
        }
        p:first-child{
          display:none;
        }
      }
    }

  }
}
